Index: MediaWiki/branches/1.11/languages/messages/MessagesEt.php
===================================================================
--- MediaWiki/branches/1.11/languages/messages/MessagesEt.php	(revision 1280)
+++ MediaWiki/branches/1.11/languages/messages/MessagesEt.php	(revision 1281)
@@ -622,257 +710,349 @@
 võivad teised sinu poolt laetud faile saidi huvides
 muuta või kustutada ning juhul kui sa süsteemi kuritarvitad
-võidakse sinu ligipääs sulgeda.",
-"uploadlog"		=> "üleslaadimise logi",
-"uploadlogpage" => "Upload_log",
-"uploadlogpagetext" => "Järgnev on nimekiri viimastest üleslaadimistest.
-Kellaajad on märgitud serveri ajaarvamise järele (UTC).
-<ul>
-</ul>",
-"filename"		=> "Faili nimi",
-"filedesc"		=> "Lühikirjeldus",
-"copyrightpage" => "{{ns:4}}:Autoriõigused",
-"copyrightpagename" => "{{SITENAME}} ja autoriõigused",
-"uploadedfiles"	=> "Üleslaetud failid",
-"minlength"		=> "Pildi nimi peab sisaldama vähemalt kolme tähte.",
-"badfilename"	=> "Pildi nimi on muudetud. Uus nimi on \"$1\".",
-"badfiletype"	=> "\".$1\" ei ole soovitatav formaat.",
-"largefile"		=> "Soovitame mitte saata faile, mille suurus ületab 100 kilobaiti.",
-"successfulupload" => "Üleslaadimine õnnestus",
-"fileuploaded"	=> "Fail nimega \"$1\" õnnestus üles laadida.
-Palun järgi seda linki: ($2). See viib su kirjelduslehele, et saaksid esita
-asjassepuutuvad andmed faili kohta: kust on ta pärit, millal
-ja kelle poolt ta loodi, jne.",
-"uploadwarning" => "Hoiatus üleslaadimise asjus",
-"savefile"		=> "Salvesta fail",
-"uploadedimage" => "laadisin üles \"[[$1]]\"",
+võidakse sinu ligipääs sulgeda.',
+'uploadlog'            => 'üleslaadimise logi',
+'uploadlogpage'        => 'Üleslaadimise logi',
+'uploadlogpagetext'    => 'Allpool on loend viimastest failide üleslaadimistest. Kõik ajad näidatakse serveri aja järgi.',
+'filename'             => 'Faili nimi',
+'filedesc'             => 'Lühikirjeldus',
+'fileuploadsummary'    => 'Info faili kohta:',
+'uploadedfiles'        => 'Üleslaaditud failid',
+'ignorewarning'        => 'Ignoreeri hoiatust ja salvesta fail hoiatusest hoolimata.',
+'illegalfilename'      => 'Faili "$1" nimi sisaldab sümboleid, mis pole pealkirjades lubatud. Palun nimetage fail ümber ja proovige uuesti.',
+'badfilename'          => 'Pildi nimi on muudetud. Uus nimi on "$1".',
+'largefileserver'      => 'Antud fail on suurem serverikonfiguratsiooni poolt lubatavast failisuurusest.',
+'fileexists'           => 'Sellise nimega fail on juba olemas. Palun kontrollige $1, kui te ei ole kindel, kas tahate seda muuta.',
+'fileexists-forbidden' => 'Sellise nimega fail on juba olemas, palun pöörduge tagasi ja laadige fail üles mõne teise nime all. [[Image:$1|thumb|center|$1]]',
+'successfulupload'     => 'Üleslaadimine õnnestus',
+'uploadwarning'        => 'Üleslaadimise hoiatus',
+'savefile'             => 'Salvesta fail',
+'uploadedimage'        => 'Fail "$1" on üles laaditud',
+'uploaddisabled'       => 'Üleslaadimine hetkel keelatud',
+'uploaddisabledtext'   => 'Vabandage, faili laadimine pole hetkel võimalik.',
+'uploadcorrupt'        => 'Fail on vigane või vale laiendiga. Palun kontrolli faili ja proovi seda uuesti üles laadida.',
+'uploadvirus'          => 'Fail sisaldab viirust! Täpsemalt: $1',
+'sourcefilename'       => 'Lähtefail',
+'destfilename'         => 'Failinimi vikis',
+
+'license'   => 'Litsents',
+'nolicense' => 'pole valitud',
 
 # Image list
-#
-"imagelist"		=> "Piltide loend",
-"imagelisttext"	=> "Piltide arv järgnevas loendis: $1. Sorteeritud $2.", # $2 -- nt. "kuupäeva järgi".
-"getimagelist"	=> "hangin piltide nimekirja",
-"ilsubmit"		=> "Otsi",
-"showlast"		=> "Näita viimast $1 pilti sorteerituna $2.", # $2 nt. "nime järgi"
-"byname"		=> "nime järgi",
-"bydate"		=> "kuupäeva järgi",
-"bysize"		=> "suuruse järgi",
-"imgdelete"		=> "del",
-"imgdesc"		=> "kirj",
-"imglegend"		=> "Legend: (kirj) = näita/redigeeri pildi kirjeldust.",
-"imghistory"	=> "Pildi ajalugu",
-"revertimg"		=> "taas",
-"deleteimg"		=> "del",
-"deleteimgcompletely"		=> "del",
-"imghistlegend" => "Legend: (viim) = see on pildi viimane versioon, (del) = kustuta
-see vana versioon, (taas) = taasta see vana versioon.
-<br /><i>Klõpsa kuupäevale, et näha tookord laetud pilti.</i>.",
-"imagelinks"	=> "Pildilingid",
-"linkstoimage"	=> "Sellele pildile viitavad järgmised leheküljed:",
-"nolinkstoimage" => "Selle pildile ei viita ükski lehekülg.",
+'imagelist'        => 'Piltide loend',
+'imagelisttext'    => 'Piltide arv järgnevas loendis: $1. Sorteeritud $2.',
+'getimagelist'     => 'hangin piltide nimekirja',
+'ilsubmit'         => 'Otsi',
+'showlast'         => 'Näita viimast $1 pilti sorteerituna $2.',
+'byname'           => 'nime järgi',
+'bydate'           => 'kuupäeva järgi',
+'bysize'           => 'suuruse järgi',
+'imgdelete'        => 'kust',
+'imgdesc'          => 'kirj',
+'imagelinks'       => 'Viited pildile',
+'linkstoimage'     => 'Sellele pildile viitavad järgmised leheküljed:',
+'nolinkstoimage'   => 'Selle pildile ei viita ükski lehekülg.',
+'noimage'          => 'Sellise nimega faili pole, võite selle $1.',
+'noimage-linktext' => 'üles laadida',
+
+# MIME search
+'mimesearch' => 'MIME otsing',
+'mimetype'   => 'MIME tüüp:',
+
+# Unwatched pages
+'unwatchedpages' => 'Jälgimata lehed',
+
+# List redirects
+'listredirects' => 'Ümbersuunamised',
+
+# Unused templates
+'unusedtemplates'     => 'Kasutamata mallid',
+'unusedtemplatestext' => 'See lehekülg loetleb kõik mallinimeruumi leheküljed, millele teistelt lehekülgedelt ei viidata. Enne kustutamist palun kontrollige, kas siia pole muid linke.',
+'unusedtemplateswlh'  => 'teised lingid',
+
+# Random redirect
+'randomredirect' => 'Juhuslik ümbersuunamine',
 
 # Statistics
-#
-"statistics"	=> "Statistika",
-"sitestats"		=> "Saidi statistika",
-"userstats"		=> "Kasutaja statistika",
-"sitestatstext" => "Lehekülgede koguarv andmebaasis: <b>$1</b>.
-
-See arv hõlmab ka arutelulehekülgi, abiartikleid Vikipeedia kohta, väga lühikesi lehekülgi (nuppe), ümbersuunamislehekülgi ning muid lehekülgi, millel tõenäoliselt ei ole entsüklopeediaartikleid. Ilma neid arvestamata on Vikipeedias praegu <b>$2</b> lehekülge, mida võib pidada artikliteks.
-
-Alates uuele programmile üleminekust 18. detsembril 2003 on lehekülgi vaadatud kokku <b>$3</b> korda ja redigeeritud kokku <b>$4</b> korda. Seega on lehekülje kohta tehtud <b>$5</b> parandust ja iga paranduse kohta tuleb <b>$5</b> vaatamist.", # viimase lausepoole võiks kohalikes seadetes eemaldada,
-  # sest see kipub mingil põhjusel olema null, tõenäoliselt praegu külastusi lihtsalt kokku ei loeta.
-  # enamasti on arvud.
-  # Võiks veel ainsust silmas pidades ühtteist ümber sõnastada, aga see esineb tõesti üliharva.
-"userstatstext" => "Registreeritud kasutajate arv: <b>$1</b>.
-Administraatori staatuses kasutajaid: <b>$2</b> (vt $3).",
-# Maintenance Page
-#
-
+'statistics'    => 'Statistika',
+'sitestats'     => 'Saidi statistika',
+'userstats'     => 'Kasutaja statistika',
+'sitestatstext' => "Andmebaas sisaldab kokku <b>$1</b> lehekülge.
+See arv hõlmab ka arutelulehekülgi, abilehekülgi, väga lühikesi lehekülgi (nuppe), ümbersuunamislehekülgi ning muid lehekülgi. Ilma neid arvestamata on vikis praegu <b>$2</b> lehekülge, mida võib pidada artikliteks.
+
+Üles on laetud '''$8''' faili.
+
+There have been a total of '''$3''' page views, and '''$4''' page edits
+since the wiki was setup.
+That comes to '''$5''' average edits per page, and '''$6''' views per edit.",
+'userstatstext' => 'Registreeritud kasutajate arv: <b>$1</b>.
+Administraatori staatuses kasutajaid: <b>$2</b> (vt $3).',
+
+'disambiguations' => 'Täpsustusleheküljed',
+
+'doubleredirects'     => 'Kahekordsed ümbersuunamised',
+'doubleredirectstext' => 'Igal real on ära toodud esimene ja teine ümbersuunamisleht ning samuti teise ümbersuunamislehe viide, mis tavaliselt on viiteks, kuhu esimene ümbersuunamisleht peaks otse suunama.',
+
+'brokenredirects'     => 'Vigased ümbersuunamised',
+'brokenredirectstext' => 'Järgmised leheküljed on ümber suunatud olematutele lehekülgedele.',
 
 # Miscellaneous special pages
-#
-"lonelypages"	=> "Üksildased artiklid",
-"unusedimages"	=> "Kasutamata pildid",
-"popularpages"	=> "Populaarsed leheküljed",
-"nviews"		=> "Külastuste arv: $1",
-"wantedpages"	=> "Kõige oodatumad artiklid",
-"nlinks"		=> "Linkide arv: $1",
-"allpages"		=> "Kõik artiklid",
-"randompage"	=> "Juhuslik artikkel",
-"shortpages"	=> "Lühikesed artiklid",
-"longpages"		=> "Pikad artiklid",
-"listusers"		=> "Kasutajad",
-"specialpages"	=> "Erileheküljed",
-"spheading"		=> "Erileheküljed",
-"recentchangeslinked" => "Seotud muudatused",
-"rclsub"		=> "(lehekülgedel, millele \"$1\" viitab)", #
-"newpages"		=> "Uued leheküljed",
-'ancientpages'          => 'Vanimad leheküljed',
-"intl"		=> "Keeltevahelised lingid",
-'move' => 'Teisalda',
-"movethispage"	=> "Teisalda lehekülg",
-"unusedimagestext" => "<p>Pange palun tähele, et teised
-veebisaidid, nagu nt. rahvusvahelised Vikipeediad, võivad
-linkida lehekülgedele otselinginga ja seega võivad
-siin esitatud pildid olla ikkagi aktiivses kasutuses.",
-"booksources"	=> "Raamatud",
-"booksourcetext" => "All on esitatud linkide loend teistesse
-saitidesse, mis müüvad uusi ja kasutatud raamatuid ning võivad
-omada lisainfot otsitavate raamatute kohta.
-{{ns:4}} ei ole nende ettevõtmistega seotud ja seda nimekirja
-ei tohiks konstrueerida reklaami tegemiseks.",
-
-# Email this user
-#
-"emailsubject"	=> "Subject",
-"emailmessage"	=> "Sõnum",
-"emailsend"		=> "Saada",
-"emailsent"		=> "E-post saadetud",
-"emailsenttext" => "Teie sõnum on saadetud.",
+'nbytes'                  => '$1 {{PLURAL:$1|bait|baiti}}',
+'ncategories'             => '$1 {{PLURAL:$1|kategooria|kategooriat}}',
+'nlinks'                  => '$1 {{PLURAL:$1|link|linki}}',
+'nmembers'                => '$1 {{PLURAL:$1|liige|liiget}}',
+'nrevisions'              => '$1 {{PLURAL:$1|redaktsioon|redaktsiooni}}',
+'nviews'                  => 'Külastuste arv: $1',
+'lonelypages'             => 'Viitamata artiklid',
+'uncategorizedpages'      => 'Kategoriseerimata leheküljed',
+'uncategorizedcategories' => 'Kategoriseerimata kategooriad',
+'uncategorizedimages'     => 'Kategoriseerimata pildid',
+'unusedcategories'        => 'Kasutamata kategooriad',
+'unusedimages'            => 'Kasutamata pildid',
+'popularpages'            => 'Loetumad artiklid',
+'wantedcategories'        => 'Kõige oodatumad kategooriad',
+'wantedpages'             => 'Kõige oodatumad artiklid',
+'mostlinked'              => 'Kõige viidatumad leheküljed',
+'mostlinkedcategories'    => 'Kõige viidatumad kategooriad',
+'mostcategories'          => 'Enim kategoriseeritud artiklid',
+'mostimages'              => 'Kõige kasutatumad pildid',
+'mostrevisions'           => 'Kõige pikema redigeerimislooga artiklid',
+'allpages'                => 'Kõik artiklid',
+'randompage'              => 'Juhuslik artikkel',
+'shortpages'              => 'Lühikesed artiklid',
+'longpages'               => 'Pikad artiklid',
+'deadendpages'            => 'Edasipääsuta artiklid',
+'listusers'               => 'Kasutajad',
+'specialpages'            => 'Erileheküljed',
+'spheading'               => 'Erileheküljed',
+'restrictedpheading'      => 'Piirangutega erileheküljed',
+'rclsub'                  => '(lehekülgedel, millele "$1" viitab)',
+'newpages'                => 'Uued leheküljed',
+'ancientpages'            => 'Kõige vanemad artiklid',
+'intl'                    => 'Keeltevahelised lingid',
+'move'                    => 'Teisalda',
+'movethispage'            => 'Muuda pealkirja',
+'unusedimagestext'        => '<p>Pange palun tähele, et teised
+veebisaidid võivad linkida pildile otselingiga ja seega võivad
+siin toodud pildid olla ikkagi aktiivses kasutuses.',
+'unusedcategoriestext'    => 'Need kategooriad pole ühesgi artiklis või teises kategoorias kasutuses.',
+
+# Book sources
+'booksources' => 'Otsi raamatut',
+
+'categoriespagetext' => 'Vikis on järgmised kategooriad.',
+'userrights'         => 'Kasutaja õiguste muutmine',
+'groups'             => 'Kasutaja grupid',
+'alphaindexline'     => '$1 kuni $2',
+'version'            => 'Versioon',
+
+# Special:Log
+'specialloguserlabel'  => 'Kasutaja:',
+'speciallogtitlelabel' => 'Pealkiri:',
+'log'                  => 'Logid',
+'alllogstext'          => 'See on kombineeritud vaade üleslaadimise, kustutamise, kaitsmise, blokeerimise ja administraatorilogist. Valiku kitsendamiseks vali soovitav logitüüp, sisesta kasutajanimi või huvi pakkuva lehekülge pealkiri.',
+'logempty'             => 'Logides vastavad kirjed puuduvad.',
+
+# Special:Allpages
+'nextpage'          => 'Järgmine lehekülg ($1)',
+'allpagesfrom'      => 'Näita alates:',
+'allarticles'       => 'Kõik artiklid',
+'allinnamespace'    => 'Kõik artiklid ($1 nimeruum)',
+'allnotinnamespace' => 'Kõik artiklid (mis ei kuulu $1 nimeruumi)',
+'allpagesprev'      => 'Eelmised',
+'allpagesnext'      => 'Järgmised',
+'allpagessubmit'    => 'Näita',
+
+# E-mail user
+'emailuser'     => 'Saada sellele kasutajale e-kiri',
+'emailpage'     => 'Saada kasutajale e-kiri',
+'emailpagetext' => 'Kui see kasutaja on oma eelistuste lehel sisestanud e-posti aadressi, siis saate alloleva vormi kaudu talle kirja saata. Et kasutaja saaks vastata, täidetakse kirja saatja väli "kellelt" e-posti aadressiga, mille olete sisestanud oma eelistuste lehel.',
+'emailfrom'     => 'Kellelt',
+'emailto'       => 'Kellele',
+'emailsubject'  => 'Pealkiri',
+'emailmessage'  => 'Sõnum',
+'emailsend'     => 'Saada',
+'emailsent'     => 'E-post saadetud',
+'emailsenttext' => 'Teie sõnum on saadetud.',
 
 # Watchlist
-#
-"watchlist"		=> "Minu jälgimisloend",
-"mywatchlist"		=> "Minu jälgimisloend",
-"nowatchlist"	=> "Teie jälgimisloend on tühi.",
-"watchnologin"	=> "Ei ole sisse loginud",
-"watchnologintext"	=> "Jälgimisloendi muutmiseks peate [[Special:Userlogin|sisse logima]].",
-"addedwatch"	=> "Lisatud jälgimisloendile",
-"addedwatchtext" => "Lehekülg \"$1\" on lisatud Teie [[Special:Watchlist|jälgimisloendile]].
-Edasised muudatused sellel lehel ja sellega seotud aruteluküljel reastatakse siin
-ning [[Special:Recentchanges||viimaste muudatuste lehel]] tuuakse ta esile
-<b>rasvase</b> kirja abil.
-
-Kui tahad seda lehte hiljem jälgimisloendist eemaldada, klõpsa päisenupule \"Lõpeta jälgimine\".",
-"removedwatch"	=> "Jälgimisloendist eemaldatud",
-"removedwatchtext" => "Lehekülg pealkirjaga \"$1\" on Teie jälgimisloendist eemaldatud.",
-'watch' => 'Jälgi',
-"watchthispage"	=> "Jälgi seda lehekülge",
-"unwatchthispage" => "Lõpeta jälgimine",
-"notanarticle"	=> "Pole artikkel",
+'watchlist'            => 'Minu jälgimisloend',
+'mywatchlist'          => 'Minu jälgimisloend',
+'watchlistfor'         => "('''$1''' jaoks)",
+'nowatchlist'          => 'Teie jälgimisloend on tühi.',
+'watchnologin'         => 'Ei ole sisse logitud',
+'watchnologintext'     => 'Jälgimisloendi muutmiseks peate [[Special:Userlogin|sisse logima]].',
+'addedwatch'           => 'Lisatud jälgimisloendile',
+'addedwatchtext'       => 'Lehekülg "$1" on lisatud Teie [[Special:Watchlist|jälgimisloendile]].
+
+Edasised muudatused käesoleval lehel ja sellega seotud aruteluküljel reastatakse jälgimisloendis ning [[Special:Recentchanges|viimaste muudatuste lehel]] tuuakse jälgitava lehe pealkiri esile <b>rasvase</b> kirja abil.
+
+Kui tahad seda lehte hiljem jälgimisloendist eemaldada, klõpsa päisenupule "Lõpeta jälgimine".',
+'removedwatch'         => 'Jälgimisloendist kustutatud',
+'removedwatchtext'     => 'Artikkel "[[:$1]]" on jälgimisloendist kustutatud.',
+'watch'                => 'Jälgi',
+'watchthispage'        => 'Jälgi seda artiklit',
+'unwatch'              => 'Lõpeta jälgimine',
+'unwatchthispage'      => 'Ära jälgi',
+'notanarticle'         => 'Pole artikkel',
+'watchnochange'        => 'Valitud perioodi jooksul ei ole üheski jälgitavas artiklis muudatusi tehtud.',
+'wlheader-showupdated' => "* Leheküljed, mida on muudetud peale sinu viimast külastust, on '''rasvases kirjas'''",
+'watchmethod-list'     => 'jälgitavate lehekülgede viimased muudatused',
+'watchlistcontains'    => 'Sinu jälgimisloendis on $1 artiklit.',
+'wlnote'               => 'Allpool on viimased $1 muudatust viimase <b>$2</b> tunni jooksul.',
+'wlshowlast'           => 'Näita viimast $1 tundi $2 päeva. $3',
+
+# Displayed when you click the "watch" button and it's in the process of watching
+'watching' => 'jälgin...',
+
+'enotif_reset' => 'Märgi kõik lehed loetuks',
+'changed'      => 'muudetud',
 
 # Delete/protect/revert
-#
-"deletepage"	=> "Kustuta lehekülg",
-"confirm"		=> "Kinnita",
-"confirmdelete" => "Kinnita kustutamine",
-"deletesub"		=> "(Kustutan lehekülje \"$1\")",
-"confirmdeletetext" => "Sa oled andmebaasist jäädavalt kustutamas lehte või pilti
-koos kogu tema ajalooga. Palud kinnita, et sa tahad seda tõepoolest teha, et
-sa mõistad tagajärgi ja et sinu tegevus on kooskõlas siinse
-[[{{MediaWiki:policy-url}}|sisekorraga]].", # Project:Policy tuleks ka tõlkida
-'policy-url' => 'Project:policy',
-"actioncomplete" => "Toiming sooritatud",
-"deletedtext"	=> "\"$1\" on kustutatud.
-Viimaste kustutuste loendit näed siit: $2.",
-"deletedarticle" => "\"$1\" kustutatud",
-"dellogpage"	=> "Kustutatud_leheküljed",
-"dellogpagetext" => "Allpool on esitatud nimekiri viimastest kustutamistest.
-Kõik toodud kellaajad järgivad serveriaega (UTC).
-<ul>
-</ul>",
-"deletionlog"	=> "Kustutatud leheküljed",
-"reverted"		=> "Pöörduti tagasi varasemale versioonile",
-"deletecomment"	=> "Kustutamise põhjus",
-"imagereverted" => "Varasemale versioonile tagasipöördumine õnnestus.",
-"rollback"		=> "Pöördu varasemale versioonile",
-"rollbacklink"	=> "taasta varasem versioon",
-"cantrollback"	=> "Ei saa muudatusi tagasi pöörata; viimane kaastööline on artikli ainus autor.",
-"revertpage"	=> "Pöörduti tagasi viimasele muudatusele, mille tegi $1",
+'deletepage'                  => 'Kustuta lehekülg',
+'confirm'                     => 'Kinnita',
+'excontent'                   => "sisu oli: '$1'",
+'excontentauthor'             => "sisu oli: '$1' (ja ainuke kirjutaja oli '[[Special:Contributions/$2|$2]]')",
+'exbeforeblank'               => "sisu enne lehekülje tühjendamist: '$1'",
+'exblank'                     => 'lehekülg oli tühi',
+'confirmdelete'               => 'Kinnita kustutamine',
+'deletesub'                   => '(Kustutan "$1")',
+'historywarning'              => 'Hoiatus: leheküljel, mida tahate kustutada, on ajalugu:&nbsp;',
+'confirmdeletetext'           => 'Sa oled andmebaasist jäädavalt kustutamas lehte või pilti koos kogu tema ajalooga. Palun kinnita, et sa tahad seda tõepoolest teha, et sa mõistad tagajärgi ja et sinu tegevus on kooskõlas siinse [[{{MediaWiki:policy-url}}|sisekorraga]].',
+'actioncomplete'              => 'Toiming sooritatud',
+'deletedtext'                 => '"$1" on kustutatud. $2 lehel on nimekiri viimastest kustutatud lehekülgedest.',
+'deletedarticle'              => '"$1" kustutatud',
+'dellogpage'                  => 'Kustutatud_leheküljed',
+'dellogpagetext'              => 'Allpool on esitatud nimekiri viimastest kustutamistest.
+Kõik toodud kellaajad järgivad serveriaega (UTC).',
+'deletionlog'                 => 'Kustutatud leheküljed',
+'reverted'                    => 'Pöörduti tagasi varasemale versioonile',
+'deletecomment'               => 'Kustutamise põhjus',
+'rollback'                    => 'Tühista muudatused',
+'rollback_short'              => 'Tühista',
+'rollbacklink'                => 'tühista',
+'rollbackfailed'              => 'Muudatuste tühistamine ebaõnnestus',
+'cantrollback'                => 'Ei saa muudatusi tagasi pöörata; viimane kaastööline on artikli ainus autor.',
+'editcomment'                 => 'Artikli sisu oli: "<i>$1</i>".', # only shown if there is an edit comment
+'revertpage'                  => 'Pöörduti tagasi viimasele muudatusele, mille tegi $1',
+'protectlogpage'              => 'Kaitsmise logi',
+'protectlogtext'              => 'Allpool on loetletud lehekülgede kaitsmised ja kaitsete eemaldamised. Praegu kaitstud lehekülgi vaata [[Special:Protectedpages|kaitstud lehtede loetelust]].',
+'protectedarticle'            => 'kaitses lehekülje "[[$1]]"',
+'unprotectedarticle'          => 'eemaldas lehekülje "[[$1]]" kaitse',
+'protectsub'                  => '("$1" kaitsmine)',
+'confirmprotect'              => 'Kinnita kaitsmine',
+'protectcomment'              => 'Põhjus',
+'unprotectsub'                => '(Lehekülje "$1" kaitse alt võtmine)',
+'protect-text'                => 'Siin võite vaadata ja muuta lehekülje <strong>$1</strong> kaitsesätteid.',
+'protect-default'             => '(tavaline)',
+'protect-level-autoconfirmed' => 'Ainult registreeritud kasutajad',
+'protect-level-sysop'         => 'Ainult administraatorid',
+'pagesize'                    => '(baiti)',
+
+# Restrictions (nouns)
+'restriction-edit' => 'Redigeerimine',
+'restriction-move' => 'Teisaldamine',
 
 # Undelete
-"undelete" => "Taasta kustutatud lehekülg",
-"undeletepage" => "Kustutatud lehekülgede vaatamine ja taastamine",
-"undeletepagetext" => "Järgnevad leheküljed on kustutatud, kuis arhiivis
-veel olemas, neid saab taastada. Arhiivi sisu vistatakse aegajalt üle parda.",
-"undeletearticle" => "Taasta kustutatud artikkel",
-"undeleterevisions" => "Arhiveeritud versioone on $1.",
-"undeletehistory" => "Kui taastate lehekülje, taastuvad kõik versioonid artikli
+'undelete'               => 'Taasta kustutatud lehekülg',
+'undeletepage'           => 'Kuva ja taasta kustutatud lehekülgi',
+'viewdeletedpage'        => 'Vaata kustutatud lehekülgi',
+'undeletepagetext'       => 'Järgnevad leheküljed on kustutatud, kuis arhiivis
+veel olemas, neid saab taastada. Arhiivi sisu vistatakse aegajalt üle parda.',
+'undeleterevisions'      => 'Arhiveeritud versioone on $1.',
+'undeletehistory'        => 'Kui taastate lehekülje, taastuvad kõik versioonid artikli
 ajaloona. Kui vahepeal on loodud uus samanimeline lehekülg, ilmuvad taastatud
-versioonid varasema ajaloona. Kehtivat versiooni automaatselt välja ei vahetata.",
-"undeleterevision" => "Kustutatud versioon seisuga $1",
-"undeletebtn" => "Taasta!",
-"undeletedarticle" => "\"$1\" taastatud",
+versioonid varasema ajaloona. Kehtivat versiooni automaatselt välja ei vahetata.',
+'undeletehistorynoadmin' => 'See artikkel on kustutatud. Kustutamise põhjus ning selle lehekülje redigeerimislugu enne kustutamist on näha allolevas kokkuvõttes. Artikli kustutamiseelsete redaktsioonide tekst on kättesaadav ainult administraatoritele.',
+'undeletebtn'            => 'Taasta!',
+'undeletedarticle'       => '"$1" taastatud',
+'undeletedrevisions'     => '$1 {{PLURAL:$1|redaktsioon|redaktsiooni}} taastatud',
+'cannotundelete'         => 'Taastamine ebaõnnestus; keegi teine võis lehe juba taastada.',
+
+# Namespace form on various pages
+'namespace'      => 'Nimeruum:',
+'invert'         => 'Näita kõiki peale valitud nimeruumi',
+'blanknamespace' => '(Artiklid)',
 
 # Contributions
-#
-"contributions"	=> "Kasutaja kaastööd",
-"mycontris" => "Minu kaastöö",
-"contribsub2"	=> "Kasutaja \"$1 ($2)\" jaoks",
-"nocontribs"	=> "Antud kriteeriumile vastavaid muudatusi ei leidnud.",
-"ucnote"		=> "Esitatakse selle kasutaja tehtud viimased <b>$1</b> muudatust viimase <b>$2</b> päeva jooksul.",
-"uclinks"		=> "Näita viimast $1 muudatust; viimase $2 päeva jooksul.",
-"uctop"		=> " (üles)" ,
+'contributions' => 'Kasutaja kaastööd',
+'mycontris'     => 'Minu kaastöö',
+'contribsub2'   => 'Kasutaja "$1 ($2)" jaoks',
+'nocontribs'    => 'Antud kriteeriumile vastavaid muudatusi ei leidnud.',
+'ucnote'        => 'Esitatakse selle kasutaja tehtud viimased <b>$1</b> muudatust viimase <b>$2</b> päeva jooksul.',
+'uclinks'       => 'Näita viimast $1 muudatust; viimase $2 päeva jooksul.',
+'uctop'         => ' (üles)',
+
+'sp-contributions-newest' => 'Uusimad',
+'sp-contributions-oldest' => 'Vanimad',
+'sp-contributions-newer'  => '$1 uuemat',
+'sp-contributions-older'  => '$1 vanemat',
+
+'sp-newimages-showfrom' => 'Näita uusi pilte alates $1',
 
 # What links here
-#
-"whatlinkshere"	=> "Viidad siia",
-"notargettitle" => "Puudub sihtlehekülg",
-"notargettext"	=> "Sa ei ole esitanud sihtlehekülge ega kasutajat, kelle kallal seda operatsiooni toime panna.",
-"linklistsub"	=> "(Linkide loend)",
-"linkshere"		=> "Siia viitavad järgmised leheküljed:",
-"nolinkshere"	=> "Siia ei viita ükski lehekülg.",
-"isredirect"	=> "ümbersuunamislehekülg",
-
-# Block/unblock IP
-#
-"blockip"		=> "Blokeeri IP-aadress",
-"blockiptext"	=> "Use the form below to block write access
-from a specific IP address.
-This should be done only only to prevent vandalism, and in
-accordance with [[{{MediaWiki:policy-url}}|{{SITENAME}} policy]].
-Fill in a specific reason below (for example, citing particular
-pages that were vandalized).",
-"ipaddress"		=> "IP-aadress",
-"ipbreason"		=> "Põhjus",
-"ipbsubmit"		=> "Blokeeri see aadress",
-"badipaddress"	=> "The IP address is badly formed.",
-"blockipsuccesssub" => "Block succeeded",
-"blockipsuccesstext" => "IP-aadress \"$1\" on blokeeritud.
-<br />See [[Special:Ipblocklist|IP block list]] to review blocks.",
-"unblockip"		=> "Unblock IP address",
-"unblockiptext"	=> "Use the form below to restore write access
-to a previously blocked IP address.",
-"ipusubmit"		=> "Unblock this address",
-"ipblocklist"	=> "Blokeeritud IP-aadresside loend",
-"blocklistline"	=> "$1, $2 blocked $3 ($4)",
-"blocklink"		=> "blokeeri",
-"unblocklink"	=> "unblock",
-"contribslink"	=> "contribs",
+'whatlinkshere' => 'Viidad siia',
+'notargettitle' => 'Puudub sihtlehekülg',
+'notargettext'  => 'Sa ei ole esitanud sihtlehekülge ega kasutajat, kelle kallal seda operatsiooni toime panna.',
+'linklistsub'   => '(Linkide loend)',
+'linkshere'     => 'Siia viitavad järgmised leheküljed:',
+'nolinkshere'   => 'Siia ei viita ükski lehekülg.',
+'isredirect'    => 'ümbersuunamislehekülg',
+'istemplate'    => 'kasutamine',
+
+# Block/unblock
+'blockip'            => 'Blokeeri IP-aadress',
+'blockiptext'        => "See vorm on kirjutamisõiguste blokeerimiseks konkreetselt IP-aadressilt.
+'''Seda tohib teha ainult vandalismi vältimiseks ning kooskõlas [[{{MediaWiki:policy-url}}|{{SITENAME}} sisekorraga]]'''.
+Kindlasti tuleb täita ka väli \"põhjus\", paigutades sinna näiteks viited konkreetsetele lehekülgedele, mida rikuti.",
+'ipaddress'          => 'IP-aadress',
+'ipadressorusername' => 'IP-aadress või kasutajanimi',
+'ipbexpiry'          => 'Kehtivus',
+'ipbreason'          => 'Põhjus',
+'ipbsubmit'          => 'Blokeeri see aadress',
+'ipbother'           => 'Muu tähtaeg',
+'ipboptions'         => '2 tundi:2 hours,1 päev:1 day,3 päeva:3 days,1 nädal:1 week,2 nädalat:2 weeks,1 kuu:1 month,3 kuud:3 months,6 kuud:6 months,1 aasta:1 year,igavene:infinite',
+'ipbotheroption'     => 'muu tähtaeg',
+'ipbotherreason'     => 'Muu/täiendav põhjus:',
+'badipaddress'       => 'The IP address is badly formed.',
+'blockipsuccesssub'  => 'Blokeerimine õnnestus',
+'blockipsuccesstext' => 'IP-aadress "$1" on blokeeritud.
+<br />Kehtivaid blokeeringuid vaata [[Special:Ipblocklist|blokeeringute nimekirjast]].',
+'unblockip'          => 'Lõpeta IP aadressi blokeerimine',
+'unblockiptext'      => 'Kasutage allpool olevat vormi redigeerimisõiguste taastamiseks varem blokeeritud IP aadressile.',
+'ipblocklist'        => 'Blokeeritud IP-aadresside loend',
+'blocklistline'      => '$1, $2 blokeeris $3 ($4)',
+'expiringblock'      => 'aegub $1',
+'ipblocklist-empty'  => 'Blokeerimiste loend on tühi.',
+'blocklink'          => 'blokeeri',
+'unblocklink'        => 'lõpeta blokeerimine',
+'contribslink'       => 'kaastöö',
+'autoblocker'        => 'Autoblokeeritud kuna teie IP aadress on hiljut kasutatud "[[User:$1|$1]]" poolt. $1-le antud bloki põhjus on "\'\'\'$2\'\'\'"',
+'blocklogpage'       => 'Blokeerimise logi',
+'blocklogentry'      => 'blokeeris "[[$1]]". Blokeeringu aegumistähtaeg on $2',
+'blocklogtext'       => 'See on kasutajate blokeerimiste ja blokeeringute eemaldamiste nimekiri. Automaatselt blokeeritud IP aadresse siin ei näidata. Hetkel aktiivsete blokeeringute ja redigeerimiskeeldude nimekirja vaata [[Special:Ipblocklist|IP blokeeringute nimekirja]] leheküljelt.',
+'unblocklogentry'    => '"$1" blokeerimine lõpetatud',
+'proxyblockreason'   => 'Teie IP aadress on blokeeritud, sest see on anonüümne proxy server. Palun kontakteeruga oma internetiteenuse pakkujaga või tehnilise toega ning informeerige neid sellest probleemist.',
+'proxyblocksuccess'  => 'Tehtud.',
 
 # Developer tools
-#
-"lockdb"		=> "Lukusta andmebaas",
-"unlockdb"		=> "Tee andmebaas lukust lahti",
-"lockbtn"		=> "Võta andmebaas kirjutuskaitse alla",
-"unlockbtn"		=> "Taasta andmebaasi kirjutuspääs",
-"locknoconfirm" => "You did not check the confirmation box.",
-"lockdbsuccesssub" => "Andmebaas kirjutuskaitse all",
-"unlockdbsuccesssub" => "Kirjutuspääs taastatud",
-"lockdbsuccesstext" => "Andmebaas on nüüd kirjutuskaitse all.
-<br />Kui Teie hooldustöö on läbi, ärge unustage kirjutuspääsu taastada!",
-"unlockdbsuccesstext" => "Andmebaasi kirjutuspääs on taastatud.",
+'lockdb'              => 'Lukusta andmebaas',
+'unlockdb'            => 'Tee andmebaas lukust lahti',
+'lockconfirm'         => 'Jah, ma soovin andmebaasi lukustada.',
+'lockbtn'             => 'Võta andmebaas kirjutuskaitse alla',
+'unlockbtn'           => 'Taasta andmebaasi kirjutuspääs',
+'lockdbsuccesssub'    => 'Andmebaas kirjutuskaitse all',
+'unlockdbsuccesssub'  => 'Kirjutuspääs taastatud',
+'lockdbsuccesstext'   => 'Andmebaas on nüüd kirjutuskaitse all.
+<br />Kui Teie hooldustöö on läbi, ärge unustage kirjutuspääsu taastada!',
+'unlockdbsuccesstext' => 'Andmebaasi kirjutuspääs on taastatud.',
 
 # Move page
-#
-"movepage"		=> "Teisalda artikkel",
-"movepagetext"	=> "Using the form below will rename a page, moving all
-of its history to the new name.
-The old title will become a redirect page to the new title.
-Links to the old page title will not be changed; be sure to
-check for double or broken redirects.
-You are responsible for making sure that links continue to
-point where they are supposed to go.
-
-Note that the page will '''not''' be moved if there is already
-a page at the new title, unless it is empty or a redirect and has no
-past edit history. This means that you can rename a page back to where
-it was just renamed from if you make a mistake, and you cannot overwrite
-an existing page.
-
-<b>ETTEVAATUST!</b>
-Võimalik, et olete tegemas ootamatut ning drastilist muudatust väga loetavasse artiklisse;
-enne muudatuse tegemist mõelge palun järele, milised võivad olla selle tagajärjed.",
-"movepagetalktext" => "Koos artiklileheküljega teisaldatakse automaatselt ka arutelulehekülg, '''välja arvatud juhtudel, kui:'''
+'movepage'         => 'Teisalda artikkel',
+'movepagetext'     => "Allolevat vormi kasutades saate lehekülje ümber nimetada. Lehekülje ajalugu tõstetakse uue pealkirja alla automaatselt. Praeguse pealkirjaga leheküljest saab ümbersuunamisleht uuele leheküljele. Teistes artiklites olevaid linke praeguse nimega leheküljele automaatselt ei muudeta. Teie kohuseks on hoolitseda, et ei tekiks topeltümbersuunamisi ning et kõik jääks toimima nagu enne ümbernimetamist.
+
+Lehekülge '''ei nimetata ümber''' juhul, kui uue nimega lehekülg on juba olemas. Erandiks on juhud, kui olemasolev lehekülg on tühi või ümbersuunamislehekülg ja sellel pole redigeerimisajalugu. See tähendab, et te ei saa kogemata üle kirjutada juba olemasolevat lehekülge, kuid saate ebaõnnestunud ümbernimetamise tagasi pöörata.
+
+<strong>ETTEVAATUST!</strong> Võimalik, et kavatsete  teha ootamatut ning drastilist muudatust väga loetavasse artiklisse; enne muudatuse tegemist mõelge palun järele, mis võib olla selle tagajärjeks.",
+'movepagetalktext' => "Koos artiklileheküljega teisaldatakse automaatselt ka arutelulehekülg, '''välja arvatud juhtudel, kui:'''
 *liigutate lehekülge ühest nimeruumist teise,
 *uue nime all on juba olemas mittetühi arutelulehekülg või
